Skip to main content
GET
/
api
/
v1
/
traces
/
{trace_id}
Get Trace Endpoint
curl --request GET \
  --url https://api.valiqor.com/api/v1/traces/{trace_id} \
  --header 'Authorization: Bearer <token>'
{
  "trace_id": "<string>",
  "session_id": "<string>",
  "status": "<string>",
  "duration_ms": 123,
  "total_cost": 123,
  "llm_calls": 123,
  "tool_calls": 123,
  "created_at": "<string>"
}

Authorizations

Authorization
string
header
required

Valiqor API key. Pass as Bearer token: Authorization: Bearer vq-xxxxxxxxxxxxxxxxxxxx

Path Parameters

trace_id
string
required

Response

Successful Response

Response model for getting a trace

trace_id
string
required
session_id
string | null
required
status
string
required
duration_ms
number | null
required
total_cost
number | null
required
llm_calls
integer | null
required
tool_calls
integer | null
required
created_at
string
required